Loading...
Searching...
No Matches
BALL::ScoringOptimizer Class Reference

`#include <BALL/SCORING/COMMON/scoringOptimizer.h>`

## Classes

struct | Result

## Public Member Functions

| ScoringOptimizer (Options &options, bool train)
void | addComplex (String name, String receptor_file, String ligand_file, double binding_free_energy)
void | evaluate (double *correlation=0, double *R2=0, double *RMSE=0, Size *no_valid_complexes=0)
void | printMatrix (std::ostream &out=std::cout)
const Result * | getResult ()

## Detailed Description

Class for evaluating and optimizing ScoringFunctions on a given set of receptor-ligand complexes whose binding free energy is known

Definition at line 15 of file scoringOptimizer.h.

## Constructor & Destructor Documentation

## ScoringOptimizer()

BALL::ScoringOptimizer::ScoringOptimizer | ( | Options & | options,
|  | bool | train )

## Member Function Documentation

## addComplex()

void BALL::ScoringOptimizer::addComplex | ( | String | name,
|  | String | receptor_file,
|  | String | ligand_file,
|  | double | binding_free_energy )

## evaluate()

void BALL::ScoringOptimizer::evaluate | ( | double * | correlation = 0,
|  | double * | R2 = 0,
|  | double * | RMSE = 0,
|  | Size * | no_valid_complexes = 0 )

## getResult()

const Result * BALL::ScoringOptimizer::getResult | ( |  | ) |

## printMatrix()

void BALL::ScoringOptimizer::printMatrix | ( | std::ostream & | out = std::cout | ) |